Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.aprs
Enum HurricaneEnum.StormType

    java.lang.Object
      java.lang.Enum<HurricaneEnum.StormType>
          org.ka2ddo.aprs.HurricaneEnum.StormType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HurricaneEnum.StormType>

Enclosing class:
  HurricaneEnum

    public static enum HurricaneEnum.StormType

extends java.lang.Enum<HurricaneEnum.StormType>

Values allowed for type of storm in a hurricane position report.

Enum Constant Summary
`HC` StormType of Hurricane.
`TD` StormType of Tropical Depression.
`TS` StormType of Tropical Storm.

Method Summary
`static HurricaneEnum.StormType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HurricaneEnum.StormType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HC

    public static final HurricaneEnum.StormType HC

  StormType of Hurricane.

### TS

    public static final HurricaneEnum.StormType TS

  StormType of Tropical Storm.

### TD

    public static final HurricaneEnum.StormType TD

  StormType of Tropical Depression.

Method Detail

### values

    public static HurricaneEnum.StormType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HurricaneEnum.StormType c : HurricaneEnum.StormType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HurricaneEnum.StormType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD